<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="task no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Reusable Campaign Resources|Templates|Web Templates">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to create a web page template using an existing web page. " /><title>Creating a Web Page Template from an Existing Web Page </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/creating-web-page-template-existing.html">Open topic with navigation</a>
        </p>
        <h4>Creating a Web Page Template from an Existing Web Page <a name="kanchor177"></a></h4>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab. </li>
            <li value="2">
Click the <b class="UISelection">Manage Reusable Resources </b>tab. 
</li>
            <li value="3">From the <b class="UISelection">Resources </b>dropdown, select<b class="UISelection"> Web Templates</b> and click the <b class="UISelection">New Web Template</b> button. 
</li>
            <li value="4">When the <b class="UISelection">New Web Template</b> page appears, enter a name for the template in the <b class="UISelection">Name </b>field. </li>
            <li value="5">Click the <b class="UISelection">Clone Website</b> button. </li>
            <li value="6">
When the <b class="UISelection">Clone Website</b> window appears, enter the URL to the web page that you want to clone in the <b class="UISelection">URL to clone</b> field. 
</li>
            <li value="7">Click the <b class="UISelection">Clone </b>button. <span class="VariablesProductName">Metasploit Pro</span> copies the HTML from the web page and imports it into the content editor. At this point, you can make any additional customizations you want to the HTML. For example, you may want to tweak the look and feel of the web page so that it is obvious to the human target that the web page is a spoofed site. </li>
            <li value="8">
When you are done with your modifications, you need to find a place in the <code class="usertype">&lt;body&gt;</code> element to insert the Web Page Content attribute. This attribute adds the<code class="usertype"> 
{{ web_page_content }} </code>tag, which denotes that the content from the web page component should be placed there. 

</li>
        </ol>
        <p class="NoBulletListIndent">To insert the Web Page Content attribute, click the<b class="UISelection"> Insert Custom Attribute </b>dropdown, and select the <b class="UISelection">Web Page Content</b> attribute. 
</p>
        <ol data-mc-continue="true">
            <li value="9">Click the <b class="UISelection">Save </b>button to save the template. </li>
        </ol>
    </body>
</html>